Ubuntu

[FFe] Let vm-builder replace ubuntu-vm-builder

Reported by Soren Hansen on 2008-10-02
6
Affects Status Importance Assigned to Milestone
ubuntu-vm-builder (Ubuntu)
Undecided
Unassigned
vm-builder (Ubuntu)
Undecided
Unassigned

Bug Description

As the final step in my plan to reimplement ubuntu-vm-builder in Python,
I'd like to requestion permission to upload a new vm-builder package
such that it also generates ubuntu-vm-builder (which used to be built by
the ubuntu-vm-builder source package).

The new ubuntu-vm-builder package replaces ubuntu-vm-builder with a
wrapper script for vm-builder that accepts the same options and
arguments as ubuntu-vm-builder, but uses vm-builder as the back for
building the virtual machine.

I'd like to also ask permission to file a removal request for the
ubuntu-vm-builder source package after this upload has been accepted and
built.

 affects ubuntu/vm-builder
 affects ubuntu/ubuntu-vm-builder
 subscribe motu-release

Related branches

StefanPotyra (sistpoty) wrote :

hm... actually now you confuse me a bit, as I've always thought the new python implementation would have been the default in intrepid.

I assume, the two bugs marked as regression will be fixed with that upload?

Also, I assume the testing was done against the new implementation? (e.g. the server team reports mirror the state of the new implemenation)?

If so, consider this as an ACK from me.

On Fri, Oct 03, 2008 at 03:16:41AM -0000, StefanPotyra wrote:
> hm... actually now you confuse me a bit, as I've always thought the new
> python implementation would have been the default in intrepid.

The plan has always been for the new version to replace the old one. To
ease the transition (and to have the old one around for testing), the
old ubuntu-vm-builder has been available in the archive all along, and
the new one has been available as python-vm-builder.

> I assume, the two bugs marked as regression will be fixed with that
> upload?

That last known regressions should be fixed, yes.

> Also, I assume the testing was done against the new implementation?
> (e.g. the server team reports mirror the state of the new
> implemenation)?

Yes, every time anything about a vm builder has been mentioned in server
team meetings or similar, we've been talking about the new python based
version.

> If so, consider this as an ACK from me.

Thanks (to both of you).

StefanPotyra (sistpoty) wrote :

(marking as confirmed, as FFe is granted)

Changed in vm-builder:
status: New → Confirmed
Changed in ubuntu-vm-builder:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vm-builder - 0.9-0ubuntu2

---------------
vm-builder (0.9-0ubuntu2) intrepid; urgency=low

  [ Nicolas Barcet ]
  * Added hint for more help (LP: #269323)
  * Added firstscripts plugin to fix regression on --firstboot and --firstlogin (LP: #268957)
  * Added postinst plugin to fix regression on --exec and add --copy (LP: #268955)
  * Added man page.

  [ Soren Hansen ]
  * Include ubuntu-vm-builder package. (LP: #277272)
  * Read additional config file given by '-c'. (LP: #276813)
  * Fix regression from ubuntu-vm-builder: Make output from subprocess
    non-buffered.
  * Let --overwrite apply for libvirt as well. (LP: #276322)

 -- Soren Hansen <email address hidden> Fri, 03 Oct 2008 18:52:06 +0200

Changed in vm-builder:
status: Confirmed → Fix Released
Luca Falavigna (dktrkranz) wrote :

Has removal request for ubuntu-vm-builder been requested already?

Scott Kitterman (kitterman) wrote :

Per the above discussion please remove ubuntu-vm-builder (Source only) from Intrepid.

Colin Watson (cjwatson) wrote :

2008-10-26 13:15:01 INFO creating lockfile
2008-10-26 13:15:04 INFO Removing candidates:
2008-10-26 13:15:04 INFO ubuntu-vm-builder 0.6 in intrepid
2008-10-26 13:15:04 INFO Removed-by: Colin Watson
2008-10-26 13:15:04 INFO Comment: requested by soren/kitterman (LP: #277272): superseded by vm-builder source
2008-10-26 13:15:04 INFO 1 package successfully removed.
2008-10-26 13:15:04 INFO Transaction committed.
2008-10-26 13:15:04 INFO The archive will be updated in the next publishing cycle.

Changed in ubuntu-vm-builder:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers